# Property Description

The -moz-user-select property specifies whether the text of the element can be selected.

This property has the following syntax:

    -moz-user-select:value

# Property Values

Value | Description
--- | ---
none | Specifies that the content of the element cannot be selected
text | (default) Specifies that the text content of the element can be selected
-moz-all | The element's contents can only be selected as a whole
-moz-none | None of the element's contents can be selected
all | The element's contents can only be selected as a whole
element | One element at a time may be selected
elements | One or more elements at a time may be selected
toggle | The element's contents may be selected
inherit | Specifies that the value of the property should be inherited from the parent element

# Examples

The following example shows the basic use of this property:

    <pre style="
      -moz-user-select:none;
      -webkit-user-select: none;">
    This text is not selectable
    </pre>

This produces the following result:

    This text is not selectable

# Browser Support

Firefox | IE | Chrome | Opera | Safari

# Miscellaneous Information

Inherited: | No
Defined In: | Mozilla Specific
Initial Value: | text
Applies To: | All elements